## org.apache.batik.dom.svg
Class AbstractSVGPointList.SVGPointItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPointList.SVGPointItem

All Implemented Interfaces:
  SVGItem, org.w3c.dom.svg.SVGPoint

Enclosing class:
  AbstractSVGPointList

    protected class AbstractSVGPointList.SVGPointItem

extends AbstractSVGItem
implements org.w3c.dom.svg.SVGPoint

An `SVGPoint` in the list.

Field Summary
`protected float` `x` The x value.
`protected float` `y` The y value.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Constructor Summary
`AbstractSVGPointList.SVGPointItem(float x, float y)` Creates a new SVGPointItem.

Method Summary
`protected java.lang.String` `getStringValue()` Return a String representation of this SVGPoint.
`float` `getX()` DOM: Implements `SVGPoint.getX()`.
`float` `getY()` DOM: Implements `SVGPoint.getY()`.
`org.w3c.dom.svg.SVGPoint` `matrixTransform(org.w3c.dom.svg.SVGMatrix matrix)` DOM: Implements `SVGPoint.matrixTransform(SVGMatrix)`.
`void` `setX(float x)` DOM: Implements `SVGPoint.setX(float)`.
`void` `setY(float y)` DOM: Implements `SVGPoint.setY(float)`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    protected float x

  The x value.

### y

    protected float y

  The y value.

Constructor Detail

### AbstractSVGPointList.SVGPointItem

    public AbstractSVGPointList.SVGPointItem(float x,
                                             float y)

  Creates a new SVGPointItem.

Method Detail

### getStringValue

    protected java.lang.String getStringValue()

  Return a String representation of this SVGPoint.

  Specified by:
    `getStringValue` in class `AbstractSVGItem`

### getX

    public float getX()

  DOM: Implements `SVGPoint.getX()`.

  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGPoint`

### getY

    public float getY()

  DOM: Implements `SVGPoint.getY()`.

  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGPoint`

### setX

    public void setX(float x)

  DOM: Implements `SVGPoint.setX(float)`.

  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGPoint`

### setY

    public void setY(float y)

  DOM: Implements `SVGPoint.setY(float)`.

  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGPoint`

### matrixTransform

    public org.w3c.dom.svg.SVGPoint matrixTransform(org.w3c.dom.svg.SVGMatrix matrix)

  DOM: Implements `SVGPoint.matrixTransform(SVGMatrix)`.

  Specified by:
    `matrixTransform` in interface `org.w3c.dom.svg.SVGPoint`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.